<?php

class PmWiki_User extends Abstract_User {

  var $ht_obj;

  function PmWiki_User($ht_obj) {
    $this->ht_obj = $ht_obj;
    
    $this->fullname = "";
    $this->email = "";
    $this->isAdmin = false;
    $this->canCreateAlbums = false;
    $this->uid = 0;
  }

  function loadByUid($uid) {
    loadByUsername($uid);
  }

  function loadByUserName($uname) {

    $this->username = $uname;
    $this->fullname = "";
    $this->email = "";
    $this->isAdmin = $this->ht_obj->UserHasAbility($uname, 'admin');
    $this->canCreateAlbums = $this->ht_obj->UserHasAbility($uname, 'albums');
    $this->uid = $uname;
  }
}

?>
